function pos=bbkt(r,a);
%pos=bbkt(r,a) Prima kinematicka uloha.
%  Spocte pos (=[Point,Alpha,A,T]). V 'a' je sest uhlu. 
[Point,b,c,d]=bbktjoints(r,a);
X1=sqrt(Point(1)^2+Point(2)^2);
Y1=Point(3);
X2=sqrt(b(1)^2+b(2)^2);
Y2=b(3);
A=radtodeg(atan((X1-X2)/(Y2-Y1)));
if A < 0
   A = A + 180;
end
if (X1-X2<0)|((X1-X2==0)&(Y2-Y1)<0)
   A = A + 180;
end
if A >= 360
   A = A - 360;
end
pos=[Point,a(1),A,a(2)];

if Point(2) == 0 
   if Point(1) > 0 
      T = 90;
   elseif Point(1) < 0 
      T =  -90;
   else
      T = 0;
   end
else
   T = radtodeg(atan(Point(1)/Point(2)));
   if T < 0 
      T = T + 180;
   end
   if (Point(1) < 0) | ((Point(1) == 0) & (Point(2) < 0)) 
      T = T + 180;
   end
end
if T - a(6) > 1 
   pos(6) = pos(6) + 180;
end


function [A,C,D,E]=bbktjoints(robot,Angles);
%[A,C,D,E]=bbktjoints(robot,Angles) Spocte body A, C, D a E.
%   Body C,D,E jsou osy motoru C,D,E. Bod A je koncovy bod.
E(1) = 0; E(2) = 0; E(3) = robot.L1;
D(2) = 0; [D(1),D(3)]=tr(0,0,E(1),E(3),Angles(5),robot.L2);
C(2) = 0; [C(1),C(3)]=tr(E(1),E(3),D(1),D(3),Angles(4),robot.L3);
A(2) = 0; [A(1),A(3)]=tr(D(1),D(3),C(1),C(3),Angles(3),robot.L4);
D(2) = D(1)*cos(degtorad(Angles(6)));
D(1) = D(1)*sin(degtorad(Angles(6)));
C(2) = C(1)*cos(degtorad(Angles(6)));
C(1) = C(1)*sin(degtorad(Angles(6)));
A(2) = A(1)*cos(degtorad(Angles(6)));
A(1) = A(1)*sin(degtorad(Angles(6)));

function [X3,Y3]=tr(X1,Y1,X2,Y2,Alpha,D);
vx = X1 - X2;
vy = Y1 - Y2;
a = D*sqrt(vx^2+vy^2)*cos(degtorad(Alpha));
b = D*sqrt(vx^2+vy^2)*sin(degtorad(Alpha));
Y3 = (a*vy + b*vx)/(vx^2 + vy^2)+Y2;
X3 = (a*vx - b*vy)/(vx^2 + vy^2)+X2;