function robot=robotBB1(robot);
%robot=robotBB1(robot); Sets individual robot parameters
% hhirc (calibrated position of 'hhdeg'), portname.
robot.comlib='rttool';
robot.hhirc = [0 -320 2000 540 230 -170]; %3940
robot.portname='COM1';
%these constants are read from plan
%robot link dimensions
robot.L1 = 260;   %origin-E
robot.L2 = 250;   %E-D
robot.L3 = 250;   %D-C
robot.L4 = 136.5; %C-gripper
%IRC per rotation of motor. Motors A and D rotate backwards (hence the minus). 
robot.irc = [-16 16 500 -500 500 500];
%motors' gearing
robot.gearing = [(127+278/325) (168+1290/2195) 70 100 110 70];
%degtoirc=1 degree in IRC
robot.degtoirc = robot.irc .* robot.gearing .* 4 ./ 360;

%Motors we can use. Motor letter if the motor can be used, ' ' if the motor can't be used.
%For example: Type [' BCD F'] to use only motors B,C,D and F.
robot.activemotors=['ABCDEF'];

%Softhome position in degrees (the desired HH position).
%In 'hhirc' is this position in IRC. Position in 'hhirc' is calibrated
%and is unique for each robot. 'hhirc' initialize function ['robot',robotname]
robot.hhdeg = [0 0 90 75 195 0];
%robot bounds in degrees which are converted to IRC
robot.bound=[bbdegtoirc(robot,[40 ,0,10 ,306,30 ,-171]);...
             bbdegtoirc(robot,[-30,0,310,47 ,265,165 ])];

%This variable use bbmovex, for help see this fucntion.
robot.pose = 0;

% min and max speeds (IRC/256/msec)
robot.minspeed = [ 400  400 1000 1000 2000 2000];
robot.maxspeed = [ 800  800 5000 4000 8000 8000];

% min a max acceleration
robot.minacceleration = [0 0 1 1 1 1];
robot.maxacceleration = [100 100 100 100 100 100];

robot.defaultspeed = [800 800 5000 4000 8000 8000];
robot.defaultacceleration = [5 5 10 10 10 5];
robot.REGME = [32000 32000 32000 32000 32000 32000];
