function loaddsk(DskName)

% LOADDSK  Loads properties of figures from file and opens figures if needed.
%          LOADDSK DskName  loads properties from file DskName.dsk.
%
%          See also SAVEDSK.

%       Author       : (c) T. Werner and T. Pajdla, {werner,pajdla}@cmp.felk.cvut.cz
%                      07/09/98
%                      Center for Machine Perception, Czech Technical University, Prague
%       Documentation: ftp://cmp.felk.cvut.cz/pub/cmp/articles/werner/tr97-138.ps.gz     
%       Language     : Matlab 5.1, (c) MathWorks                         
%       Last change  : $Id: loaddsk.m,v 1.1 1998/09/07 15:54:15 Matlab Exp $
%       Status       : Ready ($Source: /home.others/Matlab/Matlab/radial/RCS/loaddsk.m,v $)


eval(['load ' DskName '.dsk -mat']);

% Opening figures
for i = 1 : max(RootChildren),
  figure(i);
end

% Closing useless figures
c = get(0,'Children');
for i = 1 : max(c),
  if ~any(ones(length(RootChildren),1)*i == RootChildren),
    close(i);
  end
end

% Setting figure properties
k = 1; % pointer to FigPropsVal
N = size(FigPropsName,1);
for ci = 1 : length(RootChildren),
  for pi = 1 : N,
    S = FigPropsSize(:,(ci-1)*N+pi);
    val = reshape(FigPropsVal(k:k+S(1)*S(2)-1),...
                  S(1),S(2));
    k = k + S(1)*S(2);
    if isstr(get(RootChildren(ci),replace(FigPropsName(pi,:),' ',0))),
      val = setstr(val);
    else
      val = real(val);
    end
    set(RootChildren(ci),replace(FigPropsName(pi,:),' ',0),val);
  end
end




