function Res = lstsqmfn(x,P1,P2,P3,P4,P5,P6,P7,P8,P9,P10)
%LSTSQMFN  Auxiliary objective function for LSTSQM.

%       Author       : (c) T. Werner and T. Pajdla, {werner,pajdla}@cmp.felk.cvut.cz
%                      07/09/98
%                      Center for Machine Perception, Czech Technical University, Prague
%       Documentation: ftp://cmp.felk.cvut.cz/pub/cmp/articles/werner/tr97-138.ps.gz     
%       Language     : Matlab 5.1, (c) MathWorks                         
%       Last change  : $Id: lstsqmfn.m,v 1.1 1998/09/07 15:54:15 Matlab Exp $
%       Status       : Ready ($Source: /home.others/Matlab/Matlab/radial/RCS/lstsqmfn.m,v $)


global lstsqmX0 lstsqmMask lstsqmFunName

xx = lstsqmX0;
xx(find(lstsqmMask)) = x;

evalstr = lstsqmFunName;
if ~any(lstsqmFunName<48)
	evalstr=[evalstr, '(xx'];
	for i=1:nargin - 1
		evalstr = [evalstr,',P',int2str(i)];
	end
	evalstr = [evalstr, ')'];
end

Res = eval(evalstr);

return
