function [ur,Lr] = onlyused(u,L)

%ONLYUSED  Removes unused points from pair (u,L).
%          [ur,Lr] = onlyused(u,L)
%
%          See also rdestim.

%       Author       : (c) T. Werner and T. Pajdla, {werner,pajdla}@cmp.felk.cvut.cz
%                      07/09/98
%                      Center for Machine Perception, Czech Technical University, Prague
%       Documentation: ftp://cmp.felk.cvut.cz/pub/cmp/articles/werner/tr97-138.ps.gz     
%       Language     : Matlab 5.1, (c) MathWorks                         
%       Last change  : $Id: onlyused.m,v 1.1 1998/09/07 15:54:15 Matlab Exp $
%       Status       : Ready ($Source: /home.others/Matlab/Matlab/radial/RCS/onlyused.m,v $)


[Li,Lj,Lv] = find(L);
ur = u(:,Lv);
Lr = sparse(Li,Lj,1:length(Lv));

