function plotdr(p,r,style)
%PLOTDR  Plots distortion polynom = distorted radius minus linear radius.
%        plotdr(p,r)
%          p ... Distortion params, p = [u0; r0; k], u0 is ignored.
%          r ... values of r the plot is done for
%        plotdr(p,r,style) uses explicit style for the plot line
%
%        See also R2DIST.

%       Author       : (c) T. Werner and T. Pajdla, {werner,pajdla}@cmp.felk.cvut.cz
%                      07/09/98
%                      Center for Machine Perception, Czech Technical University, Prague
%       Documentation: ftp://cmp.felk.cvut.cz/pub/cmp/articles/werner/tr97-138.ps.gz     
%       Language     : Matlab 5.1, (c) MathWorks                         
%       Last change  : $Id: plotdr.m,v 1.1 1998/09/07 15:54:15 Matlab Exp $
%       Status       : Ready ($Source: /home.others/Matlab/Matlab/radial/RCS/plotdr.m,v $)


if nargin<3, style = '-'; end

rd  = r2rdist( p(3), p(4:length(p)), r );
plot( r,rd-r,style );

return
