function h = showln(s,L)

%SHOWLN Shows lines got with getedg.
%       showln(s,L), params see getedg.

%       Author       : (c) T. Werner and T. Pajdla, {werner,pajdla}@cmp.felk.cvut.cz
%                      07/09/98
%                      Center for Machine Perception, Czech Technical University, Prague
%       Documentation: ftp://cmp.felk.cvut.cz/pub/cmp/articles/werner/tr97-138.ps.gz     
%       Language     : Matlab 5.1, (c) MathWorks                         
%       Last change  : $Id: showln.m,v 1.1 1998/09/07 15:54:15 Matlab Exp $
%       Status       : Ready ($Source: /home.others/Matlab/Matlab/radial/RCS/showln.m,v $)


cols = 'ymgrbw';
if ~ishold, clf, end
h = [];
for i = 1:size(L,2)
  li = L(:,i);
  li = li(li~=0);
  hold on
  h = [h; plot(s(2,li),s(1,li),['.' cols(mod(i,length(cols))+1)],'MarkerSize',1)];
  hold off
end
if nargout<1, clear h, end
